Subject: Re: [[email-masked]: [PATCH]: swsusp on linux-2.6.9-rc3]

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 05 Oct 2004 09:18:33 +1000

On Tue, 2004-10-05 at 01:12, Guido Guenther wrote:
> On Tue, Oct 05, 2004 at 12:14:11AM +1000, Benjamin Herrenschmidt wrote:
> > A hack I wrote a while ago that allows to run the MacOS "ndrv" video
> > driver within a userland "shell" in linux. It works with old-style
> > 'ndrv's that ATI still uses but not with the newer nVidia 'fully native'
> > drivers and it can spy all IOs done by the driver

> Nice. Can you think of a way to monitor calls of MacOS X into the OF?

It has nothing to do with OF. We need to spy the IO accesses. Roughly
the same mecanism I use on linux but moved to kernel-land in OS X
would be possible but complicated: basically feeding the nvdia driver
with a non-mapped IO area and catching all faults, emulating the actual
accesses and logging them. But my knowledge of OS X low levels isn't
that good and I don't have time to work on that.

Ben.